Qyra
ReferenceUntagged

POST/api/v1/projects/{projectUuid}/aiAgents/{agentUuid}/threads/{threadUuid}/messages

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes
agentUuidstringYes
threadUuidstringYes

Request body

{
  "hidden": true,
  "originatingInstallationUuid": "string",
  "modelConfig": {
    "reasoning": true,
    "modelProvider": "string",
    "modelName": "string"
  },
  "context": [
    {
      "runtimeOverrides": {
        "dateZoom": {
          "xAxisFieldId": "string",
          "granularity": "Second"
        },
        "dashboardParameters": {
          "property": "string"
        },
        "dashboardFilters": {
          "tableCalculations": [
            {
              "includeNull": true,
              "values": [
                "string"
              ],
              "operator": "isNull",
              "id": "string",
              "target": {
                "fallbackType": "string",
                "isSqlColumn": true,
                "tableName": "string",
                "fieldId": "string"
              },
              "settings": "string",
              "disabled": true,
              "required": true,
              "caseSensitive": true,
              "lockedTabUuids": [
                "string"
              ],
              "requiredGroupId": "string",
              "singleValue": true,
              "label": "string",
              "tileTargets": {
                "property": {
                  "fallbackType": "string",
                  "isSqlColumn": true,
                  "tableName": "string",
                  "fieldId": "string"
                }
              }
            }
          ],
          "metrics": [
            {
              "includeNull": true,
              "values": [
                "string"
              ],
              "operator": "isNull",
              "id": "string",
              "target": {
                "fallbackType": "string",
                "isSqlColumn": true,
                "tableName": "string",
                "fieldId": "string"
              },
              "settings": "string",
              "disabled": true,
              "required": true,
              "caseSensitive": true,
              "lockedTabUuids": [
                "string"
              ],
              "requiredGroupId": "string",
              "singleValue": true,
              "label": "string",
              "tileTargets": {
                "property": {
                  "fallbackType": "string",
                  "isSqlColumn": true,
                  "tableName": "string",
                  "fieldId": "string"
                }
              }
            }
          ],
          "dimensions": [
            {
              "includeNull": true,
              "values": [
                "string"
              ],
              "operator": "isNull",
              "id": "string",
              "target": {
                "fallbackType": "string",
                "isSqlColumn": true,
                "tableName": "string",
                "fieldId": "string"
              },
              "settings": "string",
              "disabled": true,
              "required": true,
              "caseSensitive": true,
              "lockedTabUuids": [
                "string"
              ],
              "requiredGroupId": "string",
              "singleValue": true,
              "label": "string",
              "tileTargets": {
                "property": {
                  "fallbackType": "string",
                  "isSqlColumn": true,
                  "tableName": "string",
                  "fieldId": "string"
                }
              }
            }
          ]
        }
      },
      "chartSlug": "string",
      "chartUuid": "string",
      "type": "chart"
    }
  ],
  "prompt": "string"
}

Responses

200 — Success

{
  "results": {
    "hidden": true,
    "steers": [
      {
        "consumedStep": 0,
        "consumedAt": "string",
        "createdAt": "string",
        "message": "string",
        "promptUuid": "string",
        "uuid": "string"
      }
    ],
    "context": [
      {
        "chartKind": {},
        "runtimeOverrides": {
          "dateZoom": {
            "xAxisFieldId": "string",
            "granularity": "Second"
          },
          "dashboardParameters": {
            "property": "string"
          },
          "dashboardFilters": {
            "tableCalculations": [
              {
                "includeNull": true,
                "values": [
                  "string"
                ],
                "operator": "isNull",
                "id": "string",
                "target": {
                  "fallbackType": "string",
                  "isSqlColumn": true,
                  "tableName": "string",
                  "fieldId": "string"
                },
                "settings": "string",
                "disabled": true,
                "required": true,
                "caseSensitive": true,
                "lockedTabUuids": [
                  "string"
                ],
                "requiredGroupId": "string",
                "singleValue": true,
                "label": "string",
                "tileTargets": {
                  "property": {
                    "fallbackType": {},
                    "isSqlColumn": true,
                    "tableName": "string",
                    "fieldId": "string"
                  }
                }
              }
            ],
            "metrics": [
              {
                "includeNull": true,
                "values": [
                  "string"
                ],
                "operator": "isNull",
                "id": "string",
                "target": {
                  "fallbackType": "string",
                  "isSqlColumn": true,
                  "tableName": "string",
                  "fieldId": "string"
                },
                "settings": "string",
                "disabled": true,
                "required": true,
                "caseSensitive": true,
                "lockedTabUuids": [
                  "string"
                ],
                "requiredGroupId": "string",
                "singleValue": true,
                "label": "string",
                "tileTargets": {
                  "property": {
                    "fallbackType": {},
                    "isSqlColumn": true,
                    "tableName": "string",
                    "fieldId": "string"
                  }
                }
              }
            ],
            "dimensions": [
              {
                "includeNull": true,
                "values": [
                  "string"
                ],
                "operator": "isNull",
                "id": "string",
                "target": {
                  "fallbackType": "string",
                  "isSqlColumn": true,
                  "tableName": "string",
                  "fieldId": "string"
                },
                "settings": "string",
                "disabled": true,
                "required": true,
                "caseSensitive": true,
                "lockedTabUuids": [
                  "string"
                ],
                "requiredGroupId": "string",
                "singleValue": true,
                "label": "string",
                "tileTargets": {
                  "property": {
                    "fallbackType": {},
                    "isSqlColumn": true,
                    "tableName": "string",
                    "fieldId": "string"
                  }
                }
              }
            ]
          }
        },
        "displayName": "string",
        "pinnedVersionUuid": "string",
        "chartSlug": "string",
        "chartUuid": "string",
        "type": "chart"
      }
    ],
    "user": {
      "name": "string",
      "uuid": "string"
    },
    "createdAt": "string",
    "message": "string",
    "threadUuid": "string",
    "uuid": "string",
    "role": "user"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}